> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete item from customer list



## OpenAPI

````yaml /inbound/api-reference/openapi.yaml delete /lists/{listname}
openapi: 3.0.3
info:
  title: Inbound API
  description: |
    Manage domains for MailChannels Inbound.

    ### Rate Limits
    This API is limited to 100 queries per second, per customer.
    Queries that exceed this rate may be rejected with the
    `503 Service Temporarily Unavailable` HTTP response.
  version: 1.3.0
servers:
  - url: https://api.mailchannels.net/inbound/v1
security:
  - APIKeyHeader: []
tags:
  - name: Domains
  - name: Lists
  - name: Recipients
  - name: Login links
  - name: Reporting
  - name: Account
paths:
  /lists/{listname}:
    delete:
      tags:
        - Lists
      summary: Delete item from customer list
      parameters:
        - name: listname
          description: >-
            The name of the list to delete an entry from. One of 'safelist' or
            'blocklist'. 'whitelist' and 'blacklist' are deprecated
          in: path
          required: true
          schema:
            type: string
            enum:
              - blocklist
              - safelist
              - blacklist
              - whitelist
        - name: item
          in: query
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Successfully deleted the item
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      required:
        - errors
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: array
          items:
            type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````